AntiFeatures:
  - UpstreamNonFree
Categories:
  - Navigation
License: GPL-3.0-only
WebSite: http://tramhunter.andybotting.com
SourceCode: https://github.com/andybotting/tramhunter
IssueTracker: https://github.com/andybotting/tramhunter/issues

AutoName: Tram Hunter
Description: |-
    Client to Yarra Trams tram TRACKER® service for real-time location of Melbourne
    trams.

    Newer versions of this are available elsewhere but require proprietary software
    to build.

RepoType: git
Repo: https://github.com/andybotting/tramhunter.git

Builds:
  - versionName: '1.0'
    versionCode: 1000
    commit: 47b60e349f
    subdir: android/TramHunter
    srclibs:
      - ActionBarSherlock@9598f2bb2c
    prebuild: sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@'
        project.properties

  - versionName: '1.1'
    versionCode: 1100
    commit: 3e2a604768
    subdir: android/TramHunter
    srclibs:
      - ActionBarSherlock@4.1.0
    extlibs:
      - ABS-MapsPlugin/actionbarsherlock-plugin-maps-4.2.0.jar
    prebuild:
      - sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - mv libs/actionbarsherlock-plugin-maps-4.2.0.jar $$ActionBarSherlock$$/libs/

  - versionName: '1.2'
    versionCode: 1200
    commit: 9b07112beb1
    subdir: android/TramHunter
    srclibs:
      - ActionBarSherlock@4.1.0
    forceversion: true
    forcevercode: true
    extlibs:
      - ABS-MapsPlugin/actionbarsherlock-plugin-maps-4.2.0.jar
    prebuild:
      - sed -i 's@\(reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - mv libs/actionbarsherlock-plugin-maps-4.2.0.jar $$ActionBarSherlock$$/libs/
    target: Google Inc.:Google APIs:16

  - versionName: '1.3'
    versionCode: 1300
    commit: v1.3
    subdir: android/TramHunter
    srclibs:
      - ActionBarSherlock@4.1.0
    forceversion: true
    forcevercode: true
    extlibs:
      - ABS-MapsPlugin/actionbarsherlock-plugin-maps-4.2.0.jar
    prebuild:
      - sed -i 's@\(.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - mv libs/actionbarsherlock-plugin-maps-4.2.0.jar $$ActionBarSherlock$$/libs/
    target: Google Inc.:Google APIs:17

  - versionName: '1.4'
    versionCode: 1400
    disable: Proprietary API required
    commit: v1.4
    subdir: android/TramHunter
    srclibs:
      - ActionBarSherlock@4.1.0
    forceversion: true
    forcevercode: true
    extlibs:
      - ABS-MapsPlugin/actionbarsherlock-plugin-maps-4.2.0.jar
    prebuild:
      - sed -i 's@\(.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - mv libs/actionbarsherlock-plugin-maps-4.2.0.jar $$ActionBarSherlock$$/libs/
    target: Google Inc.:Google APIs:19

AutoUpdateMode: None
UpdateCheckMode: Static
CurrentVersion: '1.3'
CurrentVersionCode: 1300
